=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
uversionmangle=s{\-rc(\d*)}{~rc$1},\
 https://github.com/ZoneMinder/ZoneMinder/releases \
  .*/ZoneMinder-(.*)\.tar\.gz

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
uversionmangle=s{\-rc(\d*)}{~rc$1},\
 https://github.com/ZoneMinder/ZoneMinder/releases \
  .*/ZoneMinder/archive/v(.*)\.tar\.gz
